Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.common.util.spring
Class AbstractBeanPropertyProcessor

    java.lang.Object
      com.jaspersoft.jasperserver.api.common.util.spring.AbstractBeanPropertyProcessor

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.Ordered

Direct Known Subclasses:
  BeanPropertyListAppender, BeanPropertyMapAppender, BeanPropertyOverrider, BeanPropertyTextAppender, GenericBeanUpdater

    public abstract class AbstractBeanPropertyProcessor

extends java.lang.Object
implements org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.Ordered

Version:
  $Id: AbstractBeanPropertyProcessor.java 8745 2007-06-15 08:07:11Z cmatei $ From http://forum.springframework.org/showthread.php?t=30455&highlight=BeanFactoryPostProcessor : "I saw that BeanFactoryPostProcessor-implementing beans that implement the Ordered interface get created and run their processing before BeanFactoryPostProcessor-implementing beans that do not implement the Ordered interface." This turns out to be not to help in some cases. BeanPostProcessors like PropertyPlaceholderConfigurers will always run after BeanFactoryPostProcessors, so you will get unresolved substitutions for beans you directly or indirectly try to update. The workaround is to use EagerPropertyPlaceholderConfigurer http://opensource.atlassian.com/projects/spring/browse/SPR-1076
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`AbstractBeanPropertyProcessor()`

Method Summary
`java.lang.String` | `getBeanName()`
`int` | `getOrder()`
`protected abstract java.lang.Object` | `getProcessedPropertyValue(java.lang.Object originalValue)`
`java.lang.String` | `getPropertyName()`
`void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`
`void` | `setBeanName(java.lang.String beanName)`
`void` | `setOrder(int order)`
`void` | `setPropertyName(java.lang.String propertyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBeanPropertyProcessor

    public AbstractBeanPropertyProcessor()

Method Detail

### postProcessBeanFactory

    public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)

  Specified by:
    `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`

### getProcessedPropertyValue

    protected abstract java.lang.Object getProcessedPropertyValue(java.lang.Object originalValue)

### getOrder

    public int getOrder()

  Specified by:
    `getOrder` in interface `org.springframework.core.Ordered`

### setOrder

    public void setOrder(int order)

### getBeanName

    public java.lang.String getBeanName()

### setBeanName

    public void setBeanName(java.lang.String beanName)

### getPropertyName

    public java.lang.String getPropertyName()

### setPropertyName

    public void setPropertyName(java.lang.String propertyName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.